# -*- coding: utf-8 -*-
'''
Created on Fri Jan 24 08:15:36 2025

@author: mstep
'''

import tkinter as tk
from PIL import Image, ImageDraw, ImageTk, ImageFont

class PilDrawTextApp:
    def __init__(self):
        self.window = tk.Tk()

        self.window.title('pil_draw_text')
        self.window.protocol('WM_DELETE_WINDOW', self.kill_callback)
        self.window.geometry('300x300')

        # Drawing parameters.
        wid = 300
        hgt = 300
        margin = 10

        # Create the PIL image.
        image = Image.new('RGB', (wid, hgt), (255, 255, 255))

        # Create a Draw object to draw on the image.
        dr = ImageDraw.Draw(image)

        # Draw some text.
        font = ImageFont.truetype('arial.ttf', 80)
        dr.text((60, 20), 'Arial', font=font, fill='red')

        font = ImageFont.truetype('timesbi.ttf', 30)        
        dr.text((10, 70), 'Times\nNew\nRoman\nBold\nItalic', font=font, fill='green')

        font = ImageFont.truetype('GARA.TTF', 45)
        dr.text((80, 140), 'Garamond', font=font, fill='blue')

        font = ImageFont.truetype('courbd.ttf', 27)
        dr.text((5, 210), 'Courier New Bold', font=font, fill='orange')

        # Convert the image into a PhotoImage for tkinter to display.
        self.photo_image = ImageTk.PhotoImage(image)

        # Display the image.
        canvas = tk.Canvas(self.window, bg='white',
            width=wid, height=hgt,
            borderwidth=0, highlightthickness=0)
        canvas.pack(side=tk.LEFT, anchor=tk.NW, padx=margin, pady=margin)
        canvas.create_image(0, 0, image=self.photo_image, anchor=tk.NW)

        # Size the window to fit.
        self.window.geometry(f'{wid + margin}x{hgt + margin}')

        # Display the window.
        self.window.focus_force()
        self.window.mainloop()

    def kill_callback(self):
        # Destroy the tkinter window.
        self.window.destroy()

#%%
PilDrawTextApp()
print('Done')
